# Get Portfolio Ratings Report
source: https://developer.mastercard.com/riskrecon-api/documentation/testing/portfolio-samples/get-port-ratings-rept-smpl/index.md

Allows you to retrieve a paginated list of overall rating changes for entities within your portfolio over a specified time period.

## Pre-requisites {#pre-requisites}

Refer to the [Get Portfolio Ratings Report](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/portfolio-management/portfolio/get-port-ratings-rept/index.md) use case.

## Request URL for Sandbox environment {#request-url-for-sandbox-environment}

```bash
GET https://api.sandbox.riskrecon.com/v1/reports/portfolio_ratings
```

## Request URL for Production environment {#request-url-for-production-environment}

```bash
GET https://api.riskrecon.com/v1/reports/portfolio_ratings
```

## Test Cases {#test-cases}

### Test Case: Success - Get Portfolio Ratings Report {#test-case-success---get-portfolio-ratings-report}

**Request**

```bash
curl -X 'GET' \
  'https://api.sandbox.riskrecon.com/v1/reports/portfolio_ratings?page=1&per_page=20&sort_attribute=rating_change&sort_method=DESC&days_ago=360' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer valid_JWT_token'
```

**Response**

get:

```json
{
  "data": [
    {
      "internal_name": [
        "Internal Name 1"
      ],
      "internal_id": "Internal ID 1",
      "industry": "Uncategorized",
      "folder": "Folder 1",
      "start_date": "2020-01-01",
      "end_date": "2021-01-01",
      "rating_change": "1.0",
      "end_rating": "4.0",
      "criticality": "Uncategorized",
      "vendor_name": "Vendor 1",
      "start_rating": "3.0"
    },
    {
      "internal_name": [
        "Internal Name 2"
      ],
      "internal_id": "Internal ID 2",
      "industry": "Uncategorized",
      "folder": "Folder 2",
      "start_date": "2020-01-01",
      "end_date": "2021-01-01",
      "rating_change": "1.0",
      "end_rating": "4.0",
      "criticality": "High",
      "vendor_name": "Vendor 2",
      "start_rating": "3.0"
    }
  ],
  "meta": {
    "current_page": 1
  }
}
```

### Test Case: Fail - Invalid JSON Web Token {#test-case-fail---invalid-json-web-token}

**Request**

Here is an example of a request made with an incorrect JSON Web Token using a `curl` command.

```bash
curl -X 'GET' \
 'https://api.sandbox.riskrecon.com/v1/reports/portfolio_ratings' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer invalid_JWT_token'
```

**Response**

HTTP Error Response 401

```json
{
  "Errors": {
    "Error": [
      {
        "Description": "Unauthorized request",
        "Details": "Invalid JWT",
        "ReasonCode": "UNAUTHORIZED",
        "Recoverable": false,
        "Source": "RISKRECON_API"
      }
    ]
  }
}
```

